﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Threading.Tasks;

namespace ListControlChanges
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                BindData(); 
            }

            // enable the gridview to display the thead and tbody 

            if (gvCustomers.Rows.Count > 0)
            {
                gvCustomers.UseAccessibleHeader = true;
                gvCustomers.HeaderRow.TableSection = TableRowSection.TableHeader;
               // gvCustomers.FooterRow.TableSection = TableRowSection.TableFooter;
            }

        }

        private void BindData()
        {
            using (var db = new NorthwindDataContext())
            {
                gvCustomers.DataSource = db.Customers;
                gvCustomers.DataBind(); 
            }
        }        

    }
}